%global pypi_name rst.linker
%global pkg_name rst-linker
# This package is interdependant on jaraco-packaging to build docs
# will build both with out docs and add docs in later
%bcond_with docs

Name:           python-%{pkg_name}
Version:        2.4.0
Release:        %mkrel 1
Summary:        Can add links and perform other custom replacements to rst
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rst.linker/
Source0:        %{pypi_source}
BuildArch:      noarch
 
%description
rst.linker provides a routine for adding links and performing other custom
replacements to restructured text files as a Sphinx extension.License License
is indicated in the project metadata (typically one or more of the Trove
classifiers). For more details, see this explanation < In your sphinx
configuration file, include rst.linker as an extension and then add a
link_files configuration section...

%package -n python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3dist(six)
Requires:       python3-dateutil

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-dateutil
BuildRequires:  python3dist(pathspec)
BuildRequires:  python3dist(path) >= 13
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools_scm >= 1.15.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(wheel)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
rst.linker provides a routine for adding links and performing other custom
replacements to restructured text files as a Sphinx extension.License License
is indicated in the project metadata (typically one or more of the Trove
classifiers). For more details, see this explanation < In your sphinx
configuration file, include rst.linker as an extension and then add a
link_files configuration section...

%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        rst.linker documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-jaraco-packaging

%description -n python-%{pkg_name}-doc
Documentation for rst.linker
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with docs}
# generate html docs 
# this package requires itself to build docs :/
PYTHONPATH=./ sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%pyproject_install

%check
%pytest

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/rst
%{python3_sitelib}/rst.linker-%{version}.dist-info

%if %{with docs}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc html 
%endif


%changelog
* Tue Jul 02 2024 papoteur <papoteur> 2.4.0-1.mga10
+ Revision: 2078853
- new version 2.4.0

* Sat Dec 09 2023 wally <wally> 2.3.1-2.mga10
+ Revision: 2016649
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 2.3.1-1.mga9
+ Revision: 1885236
- New version  2.3.1

* Mon Apr 04 2022 guillomovitch <guillomovitch> 2.3.0-1.mga9
+ Revision: 1843838
- new version 2.3.0

* Sun Mar 27 2022 umeabot <umeabot> 2.2.0-3.mga9
+ Revision: 1828869
- Mageia 9 Mass Rebuild
+ danf <danf>
- Fix package description

* Mon Feb 14 2022 tmb <tmb> 2.2.0-2.mga9
+ Revision: 1774250
- rebuild for python 3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.2.0-1.mga9
+ Revision: 1705845
- new version 2.2.0

* Mon Nov 09 2020 guillomovitch <guillomovitch> 2.1.1-1.mga8
+ Revision: 1644170
- imported package python-rst-linker

